DXVK обновлен до версии 1.7

  DXVK - это слой, который преобразовывает вызовы D3D9, D3D10 и D3D11 в Vulkan вместо OpenGL и позволяет запускать 3D-приложения в Linux при помощи Wine, с наибольшей производительностью.

  В Vulkan были введены новые расширения.

  На поддерживаемых драйверах теперь используются следующие расширения:

 - VK_EXT_custom_border_color теперь используется для поддержки произвольных цветов границ сэмплера, что устраняет проблемы во многих играх Direct3D 9, включая Crysis и Halo 2 Vista.
 - VK_EXT_robustness2 используется для обработки внешнего доступа к ресурсам так же, как D3D11.

Wine 5.8 необходим для поддержки winevulkan, а также для следующих драйверов:

 - AMD , Intel : Mesa 20.2 (текущая версия разработки)
 - Nvidia : 440.66.12 (бета-версия Vulkan для разработчиков)


Исправления ошибок и улучшения: 
  - Оптимизированы цели рендеринга, что может немного улучшить производительность, связанную с GPU, во многих играх.
  - На драйверах, которые не поддерживают выделенную очередь передачи (в основном RADV), очередь вычислений теперь будет использоваться для асинхронной загрузки ресурсов в играх D3D11.
  - Реализованы некоторые функциональные возможности DXGI 1.6 для будущих версий World of Warcraft.
  - Уменьшено использование памяти, особенно в D3D9, что может помочь с ошибками нехватки памяти в некоторых играх, таких как Toxikk. Обратите внимание, что это не решение общей проблемы 32-битного адресного пространства.
  - Исправлены ошибки проверки Vulkan в Cloudpunk и других играх, использующих ресурсы буфера неправильно.
  - Исправлена ​​сборка на GCC 10.1.
  - Исправлены различные проблемы с D3D9.
  - Переработана опция dxgi.tearFree.
  - Fallout New Vegas: исправлены белые пиксельные артефакты.
  - Freelancer: Исправлены проблемы с текстурами.
  - GTA IV: исправлены проблемы с рендерингом HUD.
  - Halo Custom Edition: исправлены проблемы с Z-боем при использовании мода Open Sauce.
 - Изменения коснулись системы сборки. Поддержка сборок winelib была прекращена из-за проблем с обслуживанием и несовместимости с некоторыми дистрибутивами. Это делает MinGW жестким требованием для сборки DXVK.

Пожалуйста, обратите внимание, что mingw-w64-binutils2.34 в настоящее время ведет к поломкам;

Следить за выходом новых версий DXVK можно по этой ссылке.

1 1 1 1 1 Рейтинг 0.00 [0 Голоса (ов)]

Для того, чтобы оставить комментарий, Вам необходимо войти или зарегистрироваться.

Please publish modules in offcanvas position.